Bug 135223 - [PATCH] Don't use libuser entity objects for dict indexing
[PATCH] Don't use libuser entity objects for dict indexing
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2004-10-10 18:05 EDT by Miloslav Trmač
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-10 18:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
s/]/Name]/ in a few places (1.21 KB, patch)
2004-10-10 18:06 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2004-10-10 18:05:08 EDT
Hello Nils,
While researching bug 113730 I have noticed that libuser entity
names are sometimes used instead of entity names for dict indexing;
the attached patch should clean that up (and also halve the number
of libuser entities needed, although that is unrelated to the
leaks reported in bug 113730).

Another note: the lookupUserByName and lookupGroupByName calls
quoted in the patch should not be necessary because 'user'
and 'group', respectively, already are libuser entities.
Comment 1 Miloslav Trmač 2004-10-10 18:06:37 EDT
Created attachment 104993 [details]
s/]/Name]/ in a few places
Comment 2 Nils Philippsen 2004-10-10 18:50:51 EDT
Thanks! I've added your changes and removed the excessive lookups of
user/groups as well, the fixes are in system-config-users-1.2.24-1. Do
you need these in a RHEL3 package as well?
Comment 3 Miloslav Trmač 2004-10-11 03:26:21 EDT
From my point of view these are just code cleanups, unrelated
to bug 113730.

Note You need to log in before you can comment on or make changes to this bug.